Package pywbem :: Module twisted_client :: Class ModifyInstance

[frames] | no frames]

# Class ModifyInstance

source code

      twisted.internet.protocol.Factory --+
                                          |
    twisted.internet.protocol.ClientFactory --+
                                              |
                              WBEMClientFactory --+
                                                  |
                                                 ModifyInstance

Factory to produce ModifyInstance WBEM clients.

Instance Methods

__init__(self, creds, instancename, instance, namespace=`'``root/cimv2``'`, **kwargs) | source code

Inherited from `WBEMClientFactory`: `clientConnectionFailed`, `clientConnectionLost`, `imethodcallPayload`, `methodcallPayload`, `parseErrorAndResponse`, `parseResponse`

Inherited from `twisted.internet.protocol.ClientFactory`: `startedConnecting`

Inherited from `twisted.internet.protocol.Factory`: `__providedBy__`, `__provides__`, `buildProtocol`, `doStart`, `doStop`, `logPrefix`, `startFactory`, `stopFactory`

Class Methods
Inherited from `twisted.internet.protocol.Factory`: `forProtocol`

Class Variables
Inherited from `WBEMClientFactory`: `request_xml`, `response_xml`, `xml_header` Inherited from `twisted.internet.protocol.Factory`: `__implemented__`, `noisy`, `numPorts`, `protocol`

Method Details

### __init__(self, creds, instancename, instance, namespace=`'``root/cimv2``'`, **kwargs)
(Constructor)

source code

Overrides: WBEMClientFactory.__init__